Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS04ZzljLTI4ZmMtbWN4Ms4AA4Sq

Duplicate Advisory: Microsoft Identity Denial of service vulnerability

Duplicate Advisory

This advisory has been withdrawn because it is a duplicate of GHSA-59j7-ghrg-fj52. This link is maintained to preserve external references.

Original Description

Impact

An attacker could exploit this vulnerability by crafting a malicious JSON Web Encryption (JWE) token with a high compression ratio. This token, when processed by a server, leads to excessive memory allocation and processing time during decompression, causing a denial-of-service (DoS) condition.

It's important to note that the attacker must have access to the public encrypt key registered with the IDP(Entra ID) for successful exploitation.

According to the CVSS metric, a successful exploitation could lead to a scope change (S:C). What does this mean for this vulnerability?
A scope change (S:C) in the CVSS metric indicates that successful exploitation of this vulnerability could extend beyond the immediate processing of malicious tokens, affecting the overall availability of the system by causing a denial-of-service (DoS) condition.

Patches

The vulnerability has been fixed. Users should update all their Microsoft.IdentityModel versions to 7.1.2 (for 7x) or higher, 6.34.0 (for 6x) or higher, and 5.7.0 (for 5x).

Workarounds

No, users must upgrade.

References

https://aka.ms/IdentityModel/Jan2024/zip

Permalink: https://github.com/advisories/GHSA-8g9c-28fc-mcx2
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS04ZzljLTI4ZmMtbWN4Ms4AA4Sq
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: 5 months ago
Updated: about 1 month ago

Widthdrawn: about 2 months ago

CVSS Score: 6.8
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:H

Identifiers: GHSA-8g9c-28fc-mcx2
References: Repository: https://github.com/AzureAD/azure-activedirectory-identitymodel-extensions-for-dotnet
Blast Radius: 1.0

Affected Packages

nuget:System.IdentityModel.Tokens.Jwt
Dependent packages: 2,110
Dependent repositories: 0
Downloads: 1,620,562,484 total
Affected Version Ranges: >= 7.0.0-preview, < 7.1.2, >= 6.5.0, < 6.34.0, < 5.7.0
Fixed in: 7.1.2, 6.34.0, 5.7.0
All affected versions: 1.0.0, 3.0.0, 3.0.1, 3.0.2, 4.0.0, 4.0.1, 5.0.0, 5.1.0, 5.1.1, 5.1.2, 5.1.3, 5.1.4, 5.1.5, 5.2.0, 5.2.1, 5.2.2, 5.2.3, 5.2.4, 5.3.0, 5.4.0, 5.5.0, 5.6.0, 6.5.0, 6.5.1, 6.6.0, 6.7.0, 6.7.1, 6.8.0, 6.9.0, 6.10.0, 6.10.1, 6.10.2, 6.11.0, 6.11.1, 6.12.0, 6.12.1, 6.12.2, 6.13.0, 6.13.1, 6.14.0, 6.14.1, 6.15.0, 6.15.1, 6.16.0, 6.17.0, 6.18.0, 6.19.0, 6.20.0, 6.21.0, 6.22.0, 6.22.1, 6.23.0, 6.23.1, 6.24.0, 6.25.0, 6.25.1, 6.26.0, 6.26.1, 6.27.0, 6.28.0, 6.28.1, 6.29.0, 6.30.0, 6.30.1, 6.31.0, 6.32.0, 6.32.1, 6.32.2, 6.32.3, 6.33.0, 7.0.0, 7.0.0-preview, 7.0.0-preview2, 7.0.0-preview3, 7.0.0-preview4, 7.0.0-preview5, 7.0.1, 7.0.2, 7.0.3
All unaffected versions: 5.7.0, 6.34.0, 6.35.0, 7.1.2, 7.2.0, 7.3.0, 7.3.1, 7.4.0, 7.4.1, 7.5.0, 7.5.1, 7.5.2
nuget:Microsoft.IdentityModel.JsonWebTokens
Dependent packages: 260
Dependent repositories: 0
Downloads: 1,480,578,262 total
Affected Version Ranges: >= 7.0.0-preview, < 7.1.2, >= 6.5.0, < 6.34.0, < 5.7.0
Fixed in: 7.1.2, 6.34.0, 5.7.0
All affected versions: 5.2.4, 5.3.0, 5.4.0, 5.5.0, 5.6.0, 6.5.0, 6.5.1, 6.6.0, 6.7.0, 6.7.1, 6.8.0, 6.9.0, 6.10.0, 6.10.1, 6.10.2, 6.11.0, 6.11.1, 6.12.0, 6.12.1, 6.12.2, 6.13.0, 6.13.1, 6.14.0, 6.14.1, 6.15.0, 6.15.1, 6.16.0, 6.17.0, 6.18.0, 6.19.0, 6.20.0, 6.21.0, 6.22.0, 6.22.1, 6.23.0, 6.23.1, 6.24.0, 6.25.0, 6.25.1, 6.26.0, 6.26.1, 6.27.0, 6.28.0, 6.28.1, 6.29.0, 6.30.0, 6.30.1, 6.31.0, 6.32.0, 6.32.1, 6.32.2, 6.32.3, 6.33.0, 7.0.0, 7.0.0-preview, 7.0.0-preview2, 7.0.0-preview3, 7.0.0-preview4, 7.0.0-preview5, 7.0.1, 7.0.2, 7.0.3
All unaffected versions: 5.7.0, 6.34.0, 6.35.0, 7.1.2, 7.2.0, 7.3.0, 7.3.1, 7.4.0, 7.4.1, 7.5.0, 7.5.1, 7.5.2